## xhtml2pdf 0.2.1

=== requirements.txt ===
Pillow>=2.0.0
coverage
html5lib==1.0b10
httplib2==0.7.6
nose==1.3.3
pyPdf2==1.26
reportlab>=3.0
six
Sphinx==1.4.8
sphinx-rtd-theme==0.1.9

## xhtml2pdf 0.2b

=== debian/changelog ===
xhtml2pdf (0.2b-2) unstable; urgency=medium

  * Team upload.
  * python-xhtml2pdf Conflicts: and Replaces: python-pisa.
    Closes: #884513.
  * Standards-Version: 4.1.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Dec 2017 17:47:02 +0800

xhtml2pdf (0.2b-1) unstable; urgency=medium

  [ Hugo Lefeuvre ]
  * Team upload.
  * New upstream release.
  * Refresh patches for new upstream release.

  [ Drew Parsons ]
  * Create new debian packaging for xhtml2pdf, adapted from pisa.
    - includes python3 package, python3-xhtml2pdf
    - use ${python:Depends} to pull in python dependencies
    - Closes: #879839.
  * Standards-Version: 4.1.1
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Oct 2017 12:38:03 +0800

pisa (3.0.32-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Luciano Bello ]
  * Removing dependency to python-pypdf in favor of python-pypdf2.
    (Closes: #763981)
  * Standards-Version updated. 

 -- Luciano Bello <luciano@debian.org>  Thu, 09 Jun 2016 15:27:11 +0200

pisa (3.0.32-3) unstable; urgency=low

  * Team upload.

  [ Piotr Ożarowski ]
  * Bump minimum required python-reportlab version to 2.2
    (see sx/pisa3/__init__.py)

  [ Matthias Schmitz ]
  * Switch to debhelper 9
  * Switch to source format 3.0 (quilt), rework patches from dpatch to quilt
  * Bump Standards version to 3.9.5
  * Add patch to fix wrong version detection of reportlab.
    (Closes: #571120)
  * To please lintian: re-word the manpage,
    add a patch to fix wrong interpreter path in examples,
    remove deprecated XB-Python-Version:,
    substitute python-dev by python in Build-Depends
  * Add python-pkg-resources to Depends: (Closes: #587221)

  [ SVN-Git Migration ]
  * git-dpm config.
  * Update Vcs fields for git migration.

  [ Mattia Rizzolo ]
  * Remove long useless debian/pycompat.
  * debian/watch: rewrite using pypi.debian.net redirector.
  * debian/control:
    + switch dependecy on python-support to dh-python.  Closes: #786222
    + Bump standards-versions to 3.9.6, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 00:57:40 +0000

pisa (3.0.32-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/02-reportlab_bigger_than_two.patch.dpatch to fix
    reportlab version compatibility problems (Closes: #571120)
    - Thanks to Walter Doekes and Jamie McClelland for patches - both were
      fine patches, but the one used was the smaller change since Debian is in
      pre-release freeze

 -- Scott Kitterman <scott@kitterman.com>  Sun, 23 Nov 2014 21:51:06 -0500

pisa (3.0.32-1) unstable; urgency=low

  * Initial release (Closes: #504277). Thanks to Toby Smithe
    <tsmithe@ubuntu.com> for preparing the package. Thanks to Thomas
    Bechtold for helping with the licenses. And, yes, the file
    demo/tgpisa/tgpisa/release.py is just an example, not necessarily
    licensed under MIT license. CODE2000.TTF removed from source,
    package is under GPL-2.

 -- W. Martin Borgert <debacle@debian.org>  Mon, 08 Feb 2010 22:02:40 +0000

=== debian/control ===
Source: xhtml2pdf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 10),
    xsltproc, docbook-xsl
Build-Depends-Indep: dh-python,
    python-all, python-setuptools,
    python3-all, python3-setuptools,
    python-reportlab (>= 3.0), python3-reportlab (>= 3.0),
    python-pypdf2 (>= 1.26), python3-pypdf2 (>= 1.26),
    python-html5lib (>= 0.999999999), python3-html5lib (>= 0.999999999),
    python-turbogears2,
    python-nose, python3-nose,
    python-cherrypy3, python3-cherrypy3
Standards-Version: 4.1.2
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/xhtml2pdf/xhtml2pdf
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/xhtml2pdf.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/xhtml2pdf.git

Package: python-xhtml2pdf
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}
Conflicts: python-pisa
Replaces: python-pisa
Description: A library for converting HTML into PDFs using ReportLab (Python 2 module)
 xhtml2pdf is a html2pdf converter using the ReportLab Toolkit, the
 HTML5lib and pyPdf. It supports HTML 5 and CSS 2.1 (and some of CSS
 3). It is completely written in pure Python so it is platform
 independent.
 .
 The main benefit of this tool that a user with Web skills like HTML
 and CSS is able to generate PDF templates very quickly without
 learning new technologies.
 .
 xhtml2pdf was previously developed as "pisa".
 .
 This package installs the library for Python 2.

Package: python3-xhtml2pdf
Architecture: all
Provides: ${python3:Provides}
Depends: ${python3:Depends}, ${misc:Depends}
Description: A library for converting HTML into PDFs using ReportLab (Python 3 module)
 xhtml2pdf is a html2pdf converter using the ReportLab Toolkit, the
 HTML5lib and pyPdf. It supports HTML 5 and CSS 2.1 (and some of CSS
 3). It is completely written in pure Python so it is platform
 independent.
 .
 The main benefit of this tool that a user with Web skills like HTML
 and CSS is able to generate PDF templates very quickly without
 learning new technologies.
 .
 xhtml2pdf was previously developed as "pisa".
 .
 This package installs the library for Python 3.

## xhtml2pdf 0.2.1

=== debian/changelog ===
xhtml2pdf (0.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Drew Parsons ]
  * New upstream version.
    - drops turbogears support
      (remove debian patch Ignore-turbogears.patch)
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Feb 2018 17:32:09 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
     xsltproc, docbook-xsl
 Build-Depends-Indep: dh-python,
     python-all, python-setuptools,
@@ -14,12 +14,12 @@
     python-turbogears2,
     python-nose, python3-nose,
     python-cherrypy3, python3-cherrypy3
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/xhtml2pdf/xhtml2pdf
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/xhtml2pdf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/xhtml2pdf.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/xhtml2pdf.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/xhtml2pdf
 
 Package: python-xhtml2pdf
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# uncomment for verbose output
#export DH_VERBOSE=1

XP=xsltproc --nonet --novalid
DB2MAN=http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl

export PYBUILD_NAME=xhtml2pdf

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installman:
	# build the manpage
	$(XP) $(DB2MAN) debian/xhtml2pdf.dbk
	cp xhtml2pdf.1 xhtml2pdf3.1
	dh_installman

override_dh_auto_install:
	dh_auto_install
	# /usr/bin/xhtml2pdf and /usr/bin/pisa are the same thing,
	# let's only install the one, that is documented
	rm debian/python-xhtml2pdf/usr/bin/pisa
	rm debian/python3-xhtml2pdf/usr/bin/pisa
	mv debian/python3-xhtml2pdf/usr/bin/xhtml2pdf debian/python3-xhtml2pdf/usr/bin/xhtml2pdf3

override_dh_clean:
	-rm xhtml2pdf.1  xhtml2pdf3.1
	dh_clean

## xhtml2pdf 0.2.2

=== requirements.txt ===
Pillow>=2.0.0
coverage
html5lib>=1.0
httplib2==0.7.6
nose==1.3.3
pyPdf2==1.26
reportlab>=3.0
six
Sphinx==1.4.8
sphinx-rtd-theme==0.1.9

=== debian/changelog ===
xhtml2pdf (0.2.2-3build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:48:08 +0000

xhtml2pdf (0.2.2-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop the obsolete B-D on python-turbogears2.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 09 Aug 2019 14:32:42 +0500

xhtml2pdf (0.2.2-2) unstable; urgency=medium

  * Team upload.
  * tests require python-nose

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Jan 2019 17:11:45 +0100

xhtml2pdf (0.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Drew Parsons ]
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
  * place docs, examples and upstream changelog in python3-xhtml2pdf
  * Build-Depends: python-html5lib (>= 1.0)
    (drop patch Allow-html5lib-0.999999999.patch)
  * add debian/tests (autopkgtest)

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Jan 2019 12:29:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,17 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
     xsltproc, docbook-xsl
 Build-Depends-Indep: dh-python,
     python-all, python-setuptools,
     python3-all, python3-setuptools,
     python-reportlab (>= 3.0), python3-reportlab (>= 3.0),
     python-pypdf2 (>= 1.26), python3-pypdf2 (>= 1.26),
-    python-html5lib (>= 0.999999999), python3-html5lib (>= 0.999999999),
-    python-turbogears2,
+    python-html5lib (>= 1.0), python3-html5lib (>= 1.0),
     python-nose, python3-nose,
     python-cherrypy3, python3-cherrypy3
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.4.0
 Homepage: https://github.com/xhtml2pdf/xhtml2pdf
 Vcs-Git: https://salsa.debian.org/python-team/modules/xhtml2pdf.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/xhtml2pdf

=== debian/tests/control ===
Test-Command: pytest
Depends:
 python-xhtml2pdf,
 python-pytest,
 python-nose

Test-Command: pytest-3
Depends:
 python3-xhtml2pdf,
 python3-pytest,
 python3-nose

## xhtml2pdf 0.2.4

=== Makefile ===
.PHONY: help clean clean-pyc clean-build list test test-all docs release sdist

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "testall - run tests on every Python version with tox"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "sdist - package"

clean: clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

lint:
	pep8 xhtml2pdf

test:
	python setup.py nosetests

test-all:
	tox

docs:
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	sphinx-build -b linkcheck ./docs _build/
	sphinx-build -b html ./docs _build/

release: clean
	python setup.py sdist bdist_wheel
	twine upload -s dist/*

sdist: clean
	python setup.py sdist
	ls -l dist

=== requirements.txt ===
Pillow>=2.0.0
coverage
html5lib>=1.0
nose==1.3.3
pyPdf2==1.26
reportlab>=3.0
six
Sphinx==1.4.8
sphinx-rtd-theme==0.1.9

=== debian/changelog ===
xhtml2pdf (0.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - deprecates debian patch use_html_not_cgi.patch,
      instead Depends: python3-six
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jan 2020 11:05:29 +0800

xhtml2pdf (0.2.2-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Drew Parsons ]
  * debian/patches/use_html_not_cgi.patch replaces deprecated
    cgi.escape with html.escape. Closes: #948788.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jan 2020 21:36:40 +0800

xhtml2pdf (0.2.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938845, #935191

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 13:33:34 -0500

=== debian/control ===
Source: xhtml2pdf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper-compat (= 12),
    xsltproc, docbook-xsl
Build-Depends-Indep: dh-python,
    python3-all, python3-setuptools,
    python3-cherrypy3,
    python3-html5lib (>= 1.0),
    python3-nose,
    python3-pypdf2 (>= 1.26),
    python3-reportlab (>= 3.0),
    python3-six
Standards-Version: 4.5.0
Homepage: https://github.com/xhtml2pdf/xhtml2pdf
Vcs-Git: https://salsa.debian.org/python-team/modules/xhtml2pdf.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/xhtml2pdf

Package: python3-xhtml2pdf
Architecture: all
Provides: ${python3:Provides}
Depends: ${python3:Depends}, ${misc:Depends}
Description: A library for converting HTML into PDFs using ReportLab (Python 3 module)
 xhtml2pdf is a html2pdf converter using the ReportLab Toolkit, the
 HTML5lib and pyPdf. It supports HTML 5 and CSS 2.1 (and some of CSS
 3). It is completely written in pure Python so it is platform
 independent.
 .
 The main benefit of this tool that a user with Web skills like HTML
 and CSS is able to generate PDF templates very quickly without
 learning new technologies.
 .
 xhtml2pdf was previously developed as "pisa".
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Test-Command: pytest-3
Depends:
 python3-xhtml2pdf,
 python3-pytest,
 python3-nose

=== debian/watch ===
# xhtml2pdf watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\dab.]*)\.tar\.gz%xhtml2pdf-$1.tar.gz%" \
   https://github.com/xhtml2pdf/xhtml2pdf/releases \
   (?:.*?/)?v?(\d[\dab.]*)\.tar\.gz debian uupdate

## xhtml2pdf 0.2.5

=== requirements.txt ===
Pillow>=2.0.0
coverage
html5lib>=1.0
pyPdf2==1.26
reportlab>=3.0
six
Sphinx==1.4.8
sphinx-rtd-theme==0.1.9
python-bidi==0.4.2
arabic-reshaper==2.1.0

=== debian/changelog ===
xhtml2pdf (0.2.5-5) unstable; urgency=medium

  * Team upload.
  * defined a minimum version for the build-dependency on python3-reportlab
  * bumped Standards-Version: 4.6.2
  * added a patch: d/patches/fix-invalide-escape-sequences.patch, because
    py3compile raised a few SyntaxWarning, about incorrect escape sequences

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Feb 2024 13:24:35 +0100

xhtml2pdf (0.2.5-4) unstable; urgency=medium

  * Team upload.
  * added d/source/lintian-overrides, with comments explaining the contents
    of the not-so-sourceless HTML files reported by lintian.
  * kept the modifications initiated in release 0.2.5-3.1; Closes: #1064037

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 16 Feb 2024 15:36:27 +0100

xhtml2pdf (0.2.5-3.1) unstable; urgency=medium

  * NMU: patched xhtml2pdf/context.py, because ShowBoundaryValue is
    provided by reportlab.pdfgen.canvas, since the last version of
    python3-reportlab
  * added missing build-dependencies on python3-bidi, python3-arabic-reshaper

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 16 Feb 2024 09:48:10 +0100

xhtml2pdf (0.2.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on python3-html5lib,
      python3-pypdf2 and python3-reportlab.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 30 Jun 2022 19:43:01 +0100

xhtml2pdf (0.2.5-2) unstable; urgency=medium

  * Add R³=no.

 -- Martin <debacle@debian.org>  Mon, 25 Apr 2022 21:28:43 +0000

xhtml2pdf (0.2.5-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Drew Parsons ]
  * update debian/watch to latest recommended github format (using
    tags). Otherwise v0.2.5 is missed.
  * New upstream release.
  * debian patch missing_bidi.patch skips bidi handling since bidi and
    arabic_reshaper are not yet packaged. Packaging has been requested
    in RFP#921336 and RFP#1009131.
  * debian patch new_reportlab_API_PR590.patch adapts upstream PR#590
    to update code for latest reportlab API.
    Closes: #1007012, #1008336.
  * Build-Depends-Indep: python3-pil, python3-reportlab (>= 3.3.0~)

 -- Drew Parsons <dparsons@debian.org>  Thu, 07 Apr 2022 18:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: xhtml2pdf
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper-compat (= 12),
-    xsltproc, docbook-xsl
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Martin <debacle@debian.org>
+Build-Depends: debhelper-compat (= 13),
+    xsltproc,
+    docbook-xsl
 Build-Depends-Indep: dh-python,
-    python3-all, python3-setuptools,
+    python3-all,
+    python3-setuptools,
     python3-cherrypy3,
-    python3-html5lib (>= 1.0),
+    python3-html5lib,
     python3-nose,
-    python3-pypdf2 (>= 1.26),
-    python3-reportlab (>= 3.0),
+    python3-pil,
+    python3-pypdf2,
+    python3-reportlab (>= 4.1.0-1),
+    python3-bidi,
+    python3-arabic-reshaper,
     python3-six
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://github.com/xhtml2pdf/xhtml2pdf
-Vcs-Git: https://salsa.debian.org/python-team/modules/xhtml2pdf.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/xhtml2pdf
+Vcs-Git: https://salsa.debian.org/python-team/packages/xhtml2pdf.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/xhtml2pdf
 
 Package: python3-xhtml2pdf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_NAME=xhtml2pdf
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installman:
 	# build the manpage
@@ -21,11 +21,9 @@
 	dh_auto_install
 	# /usr/bin/xhtml2pdf and /usr/bin/pisa are the same thing,
 	# let's only install the one, that is documented
-	rm debian/python-xhtml2pdf/usr/bin/pisa
 	rm debian/python3-xhtml2pdf/usr/bin/pisa
 	mv debian/python3-xhtml2pdf/usr/bin/xhtml2pdf debian/python3-xhtml2pdf/usr/bin/xhtml2pdf3
 
 override_dh_clean:
 	-rm xhtml2pdf.1  xhtml2pdf3.1
 	dh_clean
-

## xhtml2pdf 0.2.15+dfsg

=== debian/changelog ===
xhtml2pdf (0.2.15+dfsg-1) unstable; urgency=medium

  * Team upload.

  * Exclude font files from source tree
  * d/copyright: Add BSD-3-clause~TechGame license
  * Drop nose in favour of unittest; Closes: #1018667
  * Patch: Make pyHanko optional
  * Patch: Adapt to new ShowBoundaryValue import

  [ Georges Khaznadar ]
  * adjusted the configuration for gbp (file debian/gbp.conf)
  * New upstream version 0.2.15; Closes: #610390; Closes: #592500
  * updated debian patches
  * updated d/python3-xhtml2pdf.docs
  * new build-dependencies: pybuild-plugin-pyproject, python3-asn1crypto,
    python3-pyhanko-certvalidator, python3-svglib
  * replaced a build-dependency: python3-pypdf2 -> python3-pypdf.
    Closes: #1029739

 -- Bastian Germann <bage@debian.org>  Mon, 26 Feb 2024 21:01:52 +0000

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,15 @@
     python3-setuptools,
     python3-cherrypy3,
     python3-html5lib,
-    python3-nose,
     python3-pil,
-    python3-pypdf2,
+    python3-pypdf,
     python3-reportlab (>= 4.1.0-1),
     python3-bidi,
     python3-arabic-reshaper,
-    python3-six
+    pybuild-plugin-pyproject,
+    python3-asn1crypto,
+    python3-pyhanko-certvalidator,
+    python3-svglib
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/xhtml2pdf/xhtml2pdf

=== debian/tests/control ===
Test-Command: pytest-3
Depends:
 python3-xhtml2pdf,
 python3-pytest,
 python3-asn1crypto

## xhtml2pdf 0.2.16+dfsg

=== debian/changelog ===
xhtml2pdf (0.2.16+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CVE-2024-25885: Fix reDOS CVE in getColor function (closes: #1084986).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Feb 2025 16:39:02 +0000

xhtml2pdf (0.2.15+dfsg-2) unstable; urgency=medium

  * Team upload
  * Prevent unnecessary man rename
  * Fix lintian
  * Run tests with pytest and exclude remote ones; Closes: #1069809

 -- Bastian Germann <bage@debian.org>  Wed, 15 May 2024 17:46:35 +0200

## xhtml2pdf 0.2.17%2Bdfsg

=== debian/changelog ===
xhtml2pdf (0.2.17+dfsg-1ubuntu1) plucky; urgency=medium

  * Mark the tests with needs-internet, and flaky since we rely on remote
    artifacts.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Mar 2025 23:34:14 -0500

xhtml2pdf (0.2.17+dfsg-1) unstable; urgency=medium

  * New upstream version 0.2.17.
  * Revert "Update import for breaking changes in python-bidi 0.5.0".

 -- Bastian Germann <bage@debian.org>  Mon, 24 Feb 2025 08:18:58 +0100

## xhtml2pdf 0.2.17+dfsg

=== Makefile ===
.PHONY: help clean clean-pyc clean-build list test test-all docs release sdist

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "test-ref - create reference directory for testrender"
	@echo "test-render - run testrender tests"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "sdist - package"

clean: clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info
	rm -fr test/test_working
	rm -fr testrender/data/test_working

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

lint:
	pep8 xhtml2pdf

test:
	coverage run -m unittest discover tests

test-render:
	cd testrender && python testrender.py --only-errors


test-all:
	tox

test-ref:
	cd testrender && python testrender.py --create-reference data/reference

docs:
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	sphinx-build -b linkcheck ./docs/source _build/
	sphinx-build -b html ./docs/source _build/

release: clean
	git tag -a "v`xhtml2pdf --version`" -m "Bump version `xhtml2pdf --version`"
	git push origin "v`xhtml2pdf --version`"
	python -m build --sdist
	twine upload -s dist/*

sdist: clean
	python -m build --sdist
	ls -l dist

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/xhtml2pdf.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/xhtml2pdf.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/xhtml2pdf"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/xhtml2pdf"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
 Build-Depends-Indep: dh-python,
     python3-all,
     python3-setuptools,
+    python3-pytest,
     python3-cherrypy3,
     python3-html5lib,
     python3-pil,
     python3-pypdf,
-    python3-reportlab (>= 4.1.0-1),
+    python3-reportlab (>= 4.1.0),
     python3-bidi,
     python3-arabic-reshaper,
     pybuild-plugin-pyproject,
@@ -30,7 +31,7 @@
 Architecture: all
 Provides: ${python3:Provides}
 Depends: ${python3:Depends}, ${misc:Depends}
-Description: A library for converting HTML into PDFs using ReportLab (Python 3 module)
+Description: Converts HTML into PDFs using ReportLab
  xhtml2pdf is a html2pdf converter using the ReportLab Toolkit, the
  HTML5lib and pyPdf. It supports HTML 5 and CSS 2.1 (and some of CSS
  3). It is completely written in pure Python so it is platform

=== debian/rules ===
#!/usr/bin/make -f

# uncomment for verbose output
#export DH_VERBOSE=1

XP=xsltproc --nonet --novalid
DB2MAN=http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl

export PYBUILD_TEST_ARGS=-k 'not test_document_cannot_identify_image and not test_document_with_broken_image'
export PYBUILD_NAME=xhtml2pdf

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_installman:
	$(XP) $(DB2MAN) debian/xhtml2pdf3.dbk

execute_after_dh_auto_install:
	# /usr/bin/xhtml2pdf and /usr/bin/pisa are the same thing,
	# let's only install the one, that is documented
	rm debian/python3-xhtml2pdf/usr/bin/pisa
	mv debian/python3-xhtml2pdf/usr/bin/xhtml2pdf debian/python3-xhtml2pdf/usr/bin/xhtml2pdf3

=== debian/tests/control ===
Test-Command: pytest
Depends:
 @,
 python3-pytest,
 python3-asn1crypto
